<template>
  <span>
    <gl-button :id="popoverId" variant="link" icon="question-o" aria-label="Help" />
    <gl-popover :target="popoverId">
      <p>
        Warning findings are ignored in the calculation for adoption percentage, since they are not
        migratable (yet). The calculation is:
      </p>

      <math display="block">
        <mrow>
          <mfrac>
            <mrow>
              <mi>adoptedFindings</mi>
            </mrow>
            <mrow>
              <mi>adoptedFindings</mi>
              <mo>+</mo>
              <mn>notAdoptedFindings</mn>
            </mrow>
          </mfrac>
        </mrow>
      </math>
    </gl-popover>
  </span>
</template>

<script>
import GlButton from '@gitlab/ui/src/components/base/button/button.vue';
import GlPopover from '@gitlab/ui/src/components/base/popover/popover.vue';

export default {
  name: 'CompliancePercentageHelp',
  components: {
    GlButton,
    GlPopover,
  },
  props: {
    id: {
      type: String,
      required: true,
    },
  },
  computed: {
    popoverId() {
      return `compliance-percentage-help_${this.id}`;
    },
  },
};
</script>
